//
//  ViewController.m
//  Demo---折线
//
//  Created by BY on 16/10/8.
//  Copyright © 2016年 CWH. All rights reserved.
//

#import "ViewController.h"
#import "CustomChat.h"

@interface ViewController ()
{
    NSArray *_arr;
}

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];

    CustomChat *chat = [[CustomChat alloc] initWithFrame:CGRectMake(10, 100, self.view.bounds.size.width - 20, 200)];
    chat.leftTitle = @"海拔(m)";
    chat.rightTitle = @"速度(km/h)";
    
    chat.leftTitleArray = [[@[@0,@20,@40,@60,@80,@100] reverseObjectEnumerator] allObjects];
    chat.rightTitleArray = [[@[@0,@7,@15,@22,@29,@36] reverseObjectEnumerator] allObjects];;
    chat.rightTitleColor = [UIColor colorWithRed:0.16 green:0.45 blue:0.66 alpha:1];
    chat.horizontaltitleArray = @[@"0m",@"8.9km",@"17.9km",@"26.8km",@"35.7km",@"44.6km"];
    chat.FillColor = [UIColor colorWithRed:0.96 green:0.96 blue:0.96 alpha:1.0];
    chat.dataArray = @[@{@"km":@"0",@"height":@"20"},
                       @{@"km":@"1000",@"height":@"24"},
                       @{@"km":@"2000",@"height":@"80"},
                       @{@"km":@"3000",@"height":@"50"},
                       @{@"km":@"5000",@"height":@"20"},
                       @{@"km":@"7999",@"height":@"80"},
                       @{@"km":@"8000",@"height":@"40"},
                       @{@"km":@"17900",@"height":@"60"},
                       @{@"km":@"20000",@"height":@"80"},
                       @{@"km":@"26800",@"height":@"20"},
                       @{@"km":@"27000",@"height":@"40"},
                       @{@"km":@"44600",@"height":@"0"}];
    chat.dataArray1 = @[@{@"km":@"0",@"height":@"5"},
                       @{@"km":@"1000",@"height":@"10"},
                       @{@"km":@"8000",@"height":@"15"},
                       @{@"km":@"9000",@"height":@"20"},
                       @{@"km":@"20000",@"height":@"12"},
                       @{@"km":@"40000",@"height":@"18"},
                        @{@"km":@"44600",@"height":@"90"}];
    [self.view addSubview:chat];
    
//    [chat initialization];
    
    _arr = @[@[@"120",@"100"],@[@"120",@"150"],@[@"150",@"150"]];    

}




- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
